fixedPage {shiny} | R Documentation

## Create a page with a fixed layout

### Description

Functions for creating fixed page layouts. A fixed page layout consists of rows which in turn include columns. Rows exist for the purpose of making sure their elements appear on the same line (if the browser has adequate width). Columns exist for the purpose of defining how much horizontal space within a 12-unit wide grid it's elements should occupy. Fixed pages limit their width to 940 pixels on a typical display, and 724px or 1170px on smaller and larger displays respectively.

### Usage

    fixedPage(..., title = NULL, responsive = NULL, theme = NULL)

    fixedRow(...)

### Arguments

`...` | Elements to include within the container
`title` | The browser window title (defaults to the host URL of the page)
`responsive` | This option is deprecated; it is no longer optional with Bootstrap 3.
`theme` | Alternative Bootstrap stylesheet (normally a css file within the www directory). For example, to use the theme located at `www/bootstrap.css` you would use `theme = "bootstrap.css"`.

### Details

To create a fixed page use the `fixedPage` function and include instances of `fixedRow` and `column` within it. Note that unlike `fluidPage`, fixed pages cannot make use of higher-level layout functions like `sidebarLayout`, rather, all layout must be done with `fixedRow` and `column`.

### Value

A UI defintion that can be passed to the shinyUI function.

### Note

See the Shiny Application Layout Guide for additional details on laying out fixed pages.

### See Also

`column`

### Examples

    ## Only run examples in interactive R sessions
    if (interactive()) {

    ui <- fixedPage(
      title = "Hello, Shiny!",
      fixedRow(
        column(width = 4,
          "4"
        ),
        column(width = 3, offset = 2,
          "3 offset 2"
        )
      )
    )

    shinyApp(ui, server = function(input, output) { })
    }

[Package shiny version 0.14.2 Index]